/****************************************************************************
 * tx.cs.interfaces
 * Interfaces provided by tx.charset
 ****************************************************************************/
module tx.cs.interfaces;

/// other -> unicode
interface ICharsetDecoder
{
	 string toUTF8 ( string );
	wstring toUTF16( string );
	dstring toUTF32( string );
}

/// unicode -> other
interface ICharsetEncoder
{
	string fromUTF8 (  string );
	string fromUTF16( wstring );
	string fromUTF32( dstring );
}

/// unicode <-> other
interface ICharset : ICharsetDecoder, ICharsetEncoder
{
}
